@echo off
call "%CROSSWORLDS%"\bin\CWConnEnv


REM set the directory where the specific connector resides
set CONNDIR=%CROSSWORLDS%\connectors\%1

REM goto the connector specific drive & directory
cd /d %CONNDIR%

REM set the name to be the application connector that is starting
set CONNAME=%1
set CONNPACKAGENAME=com.ibm.adapters.tcpip.TAAgent

REM set the server name to be the interchange that is being targeted
set SERVER=%2

REM set the application specific datahandler classes e.g.
REM set HEALTHCARE_DH_CLASSES="%CONNDIR%"\BIA_CWHealthcareDataHandler.jar
set HEALTHCARE_DH_CLASSES=

set AGENT=%CONNDIR%\BIA_TCPIP.jar

REM config file location defaults to HOME\InterchangeSystem.cfg on the local machine

set JCLASSES=%HEALTHCARE_DH_CLASSES%;%JCLASSES%;%AGENT%

REM start the Java connector under the Java Application End
REM set CW_MEM_HEAP=640

%CWJAVA% -version
%CWJAVA% -oss8m -mx128m %ORB_PROPERTY% -Djava.ext.dirs="%MQ_LIB%";%JRE_EXT_DIRS% -Djava.library.path="%CROSSWORLDS%"\bin;"%CONNDIR%";"%MQ_LIB%";%JRE_EXT_DIRS% -Duser.home="%CROSSWORLDS%" -cp %JCLASSES% AppEndWrapper -l%CONNPACKAGENAME% -n%CONNAME% -s%SERVER% %3 %4

endlocal

pause